Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 08 Apr 2021 10:31:19 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I returned an item on 15th March on order number 9639313441 and am still waiting for refund. I have called approximately 15 times chasing this and each time I am told 24-48 hours the refund will be with me and it never comes. I have never had such a bad experience with any shop anywhere in the world such as this. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2370981